Bug 1258138 - (EE) [mi] EQ overflowing. Additional events will be discarded
(EE) [mi] EQ overflowing. Additional events will be discarded
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-ast (Show other bugs)
6.7
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-29 09:50 EDT by Vincent S. Cojot
Modified: 2017-12-06 07:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 07:52:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log with backtrace information. (59.89 KB, text/plain)
2015-08-29 09:50 EDT, Vincent S. Cojot
no flags Details
Xorg config file (uses ast_drv) (1.77 KB, text/plain)
2015-08-29 09:51 EDT, Vincent S. Cojot
no flags Details

  None (edit)
Description Vincent S. Cojot 2015-08-29 09:50:48 EDT
Created attachment 1068287 [details]
Xorg.0.log with backtrace information.

Description of problem:

On fully patched RHEL6.7 workstation/server, X hangs when lots of graphical events are sent to the X server,

A backtrace mentionning EQ overflows is seen when the problem occurs:
[345923.057] (EE) AST(0): MMIO=0,pBox=32e7ea40, nBoxs=1
(EE) [mi] EQ overflowing.  Additional events will be discarded until existing events are processed.
(EE) 
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x51) [0x5ab521]
(EE) 1: /usr/bin/X (mieqEnqueue+0x273) [0x58b963]
(EE) 2: /usr/bin/X (QueuePointerEvents+0x4e) [0x4515ae]
(EE) 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7fb48e807000+0x46e1) [0x7fb48e80b6e1]
(EE) 4: /usr/bin/X (0x400000+0x7a4b7) [0x47a4b7]
(EE) 5: /usr/bin/X (0x400000+0xa5a2b) [0x4a5a2b]
(EE) 6: /lib64/libc.so.6 (0x37a3800000+0x326a0) [0x37a38326a0]
(EE) 7: /usr/lib64/xorg/modules/drivers/ast_drv.so (0x7fb49122b000+0x29e3) [0x7fb49122d9e3]
(EE) 8: /usr/lib64/xorg/modules/drivers/ast_drv.so (0x7fb49122b000+0x2f5b) [0x7fb49122df5b]
(EE) 9: /usr/lib64/xorg/modules/drivers/ast_drv.so (0x7fb49122b000+0x4f2a) [0x7fb49122ff2a]
(EE) 10: /usr/bin/X (0x400000+0x9604e) [0x49604e]
(EE) 11: /usr/bin/X (0x400000+0xe4242) [0x4e4242]

(full Xorg is attached).

Version-Release number of selected component (if applicable):
# rpm -q xorg-x11-drv-ast xorg-x11-server-Xorg
xorg-x11-drv-ast-0.98.0-1.el6.x86_64
xorg-x11-server-Xorg-1.15.0-36.el6.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Start VLC with a videostream or use firefox with lots of windows.. anything very graphic-heavy.

Actual results: X server hangs
The server must be killed with:
'pkill -9 -x X'
The system recovers but the X session is lost.


Expected results:
This shouldn't be happening. On other identically-patched systems with the NVidia binary driver this isn't happening.


Additional info:
System Information:
Intel(R) Xeon(R) CPU E3-1275L v3 @ 2.70GHz with 16Gb RAM and 1Tb boot SSD.
Linux daltigoth 2.6.32-504.30.3.el6.x86_64 #1 SMP Thu Jul 9 15:20:47 EDT 2015 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Vincent S. Cojot 2015-08-29 09:51:59 EDT
Created attachment 1068288 [details]
Xorg config file (uses ast_drv)
Comment 3 Vincent S. Cojot 2015-10-27 11:50:22 EDT
Hi Adam,
This note that I added a small NVidia card to the machine on which I had the original issue to make it more 'usable'.
I can probably revert back to the AST card if you need more debugging information.
Regards,
Vincent
Comment 5 Jan Kurik 2017-12-06 07:52:29 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.